package anywheresoftware.b4a.RSA.utils;

import anywheresoftware.b4a.BA.ShortName;

@ShortName("RSAKeyPair")
/**
 * This class represents the public and private keys for a RSA Algorithm
 * @author pmartinez
 *
 */
public class RSAKeyPair {
	private RSAPublicKey publicKey;
	private RSAPrivateKey privateKey;

	public RSAKeyPair(RSAPublicKey publicKey, RSAPrivateKey privateKey) {
		super();
		this.publicKey = publicKey;
		this.privateKey = privateKey;
	}

	public RSAPublicKey getPublicKey() {
		return publicKey;
	}

	public void setPublicKey(RSAPublicKey publicKey) {
		this.publicKey = publicKey;
	}

	public RSAPrivateKey getPrivateKey() {
		return privateKey;
	}

	public void setPrivateKey(RSAPrivateKey privateKey) {
		this.privateKey = privateKey;
	}

}
